From: =?utf-8?q?Bastien_Roucari=C3=A8s?= <rouca@debian.org>
Date: Mon, 19 Feb 2024 15:00:12 +0000
Subject: Fix with newer phpunit

forwarded: not-needed
---
 phpunit.xml.dist                                       | 1 -
 tests/Composer/Test/Autoload/AutoloadGeneratorTest.php | 8 ++++----
 2 files changed, 4 insertions(+), 5 deletions(-)

diff --git a/phpunit.xml.dist b/phpunit.xml.dist
index 4c67495..10ea2f2 100644
--- a/phpunit.xml.dist
+++ b/phpunit.xml.dist
@@ -8,7 +8,6 @@
          convertWarningsToExceptions="true"
          processIsolation="false"
          stopOnFailure="false"
-         syntaxCheck="false"
          bootstrap="tests/bootstrap.php"
 >
     <testsuites>
diff --git a/tests/Composer/Test/Autoload/AutoloadGeneratorTest.php b/tests/Composer/Test/Autoload/AutoloadGeneratorTest.php
index c1605bf..4296f94 100644
--- a/tests/Composer/Test/Autoload/AutoloadGeneratorTest.php
+++ b/tests/Composer/Test/Autoload/AutoloadGeneratorTest.php
@@ -1497,9 +1497,9 @@ private function assertAutoloadFiles($name, $dir, $type = 'namespaces')
         $this->assertFileEquals($a, $b);
     }
 
-    public static function assertFileEquals($expected, $actual, $message = '', $canonicalize = false, $ignoreCase = false)
+    public static function assertFileEquals($expected, $actual, string $message = '', bool $canonicalize = false, bool $ignoreCase = false): void
     {
-        return self::assertEquals(
+        self::assertEquals(
             file_get_contents($expected),
             file_get_contents($actual),
             $message ?: $expected.' equals '.$actual,
@@ -1510,8 +1510,8 @@ public static function assertFileEquals($expected, $actual, $message = '', $cano
         );
     }
 
-    public static function assertEquals($expected, $actual, $message = '', $delta = 0, $maxDepth = 10, $canonicalize = false, $ignoreCase = false)
+    public static function assertEquals($expected, $actual, string $message = '', float $delta = 0, int $maxDepth = 10, bool $canonicalize = false, bool $ignoreCase = false) : void
     {
-        return parent::assertEquals(str_replace("\r", '', $expected), str_replace("\r", '', $actual), $message, $delta, $maxDepth, $canonicalize, $ignoreCase);
+        parent::assertEquals(str_replace("\r", '', $expected), str_replace("\r", '', $actual), $message, $delta, $maxDepth, $canonicalize, $ignoreCase);
     }
 }
